namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 员工群组(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_StaffGroupController : BaseController<IGhre_StaffGroupServices, Ghre_StaffGroup, Ghre_StaffGroupDto, InsertGhre_StaffGroupInput, EditGhre_StaffGroupInput>
{
    public Ghre_StaffGroupController(IGhre_StaffGroupServices service) : base(service)
    {
    }

    [HttpPost, Route("QueryStaff/{id}")]
    public async Task<ServicePageResult<Ghra_StaffDto>> QueryStaff([FromBody] QueryBody body, long id) => await _service.QueryStaff(id, body, null);

}